Apple Safari 12.x < 12.1.1 Multiple Vulnerabilities (APPLE-SA-2019-05-09)

Medium Nessus Network Monitor Plugin ID 700666

Synopsis

A web browser installed on the remote host is affected by multiple vulnerabilities.

Description

The version of Apple Safari installed on the remote host is greater or equal to 12.0.0 and prior to 12.1.1. It is, therefore, affected by the following vulnerabilities :

- An out-of-bounds read was addressed with improved input validation.(CVE-2019-8607)

- Multiple memory corruption issues were addressed with improved memory handling.(CVE-2019-6237, CVE-2019-8571, CVE-2019-8583, CVE-2019-8584, CVE-2019-8586, CVE-2019-8587, CVE-2019-8594, CVE-2019-8595, CVE-2019-8596, CVE-2019-8597, CVE-2019-8601, CVE-2019-8608, CVE-2019-8609, CVE-2019-8610, CVE-2019-8611, CVE-2019-8615, CVE-2019-8619, CVE-2019-8622, CVE-2019-8623, CVE-2019-8628)

Solution

Upgrade to Apple Safari version 12.1.1 or later.

See Also

https://support.apple.com/en-us/HT210123

Plugin Details

Severity: Medium

ID: 700666

Family: Web Clients

Published: 2019/05/15

Updated: 2019/05/15

Dependencies: 3705

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 4.6

Temporal Score: 3.4

Vector: CVSS2#AV:L/AC:L/Au:S/C:C/I:N/A:N

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 5.5

Temporal Score: 4.8

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:N

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:apple:safari

Patch Publication Date: 2019/05/09

Vulnerability Publication Date: 2019/05/09

Reference Information

CVE: CVE-2019-8607, CVE-2019-6237, CVE-2019-8571, CVE-2019-8583, CVE-2019-8584, CVE-2019-8586, CVE-2019-8587, CVE-2019-8594, CVE-2019-8595, CVE-2019-8596, CVE-2019-8597, CVE-2019-8601, CVE-2019-8608, CVE-2019-8609, CVE-2019-8610, CVE-2019-8611, CVE-2019-8615, CVE-2019-8619, CVE-2019-8622, CVE-2019-8623, CVE-2019-8628